Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 25812 - Network connection lost when sending mail via gateway
Network connection lost when sending mail via gateway
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 20:42 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 20:24:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
more tcpdump - IP from eth1 is diferent from ifconfig above, this tcpdump was made a few days ago... (17.48 KB, text/plain)
2001-02-03 04:41 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-02-02 20:42:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


Network allways hangs up when sending mail bigger then 4Kb from windows 98 
(outlook express)to my ISP POP3/SMTP mail server using a RH7.0 gateway 
with two net cards, one connected to a hub and the other connected to a 
cable modem with dhcp.
This same network was working fine with RH6.2 on the gateway.
I can browse the internet from win98, upload and download any file size, 
send and receive small emails (about 1Kb or 2Kb) with no problem.
If I send some email bigger than 4Kb the win98 box will loose the 
connection to the gateway and outlook express will timeout.
On the gateway I can still ping the internet but if I ping the win98 box 
I'll have a 'Host unreachable' error message.
A /etc/init.d/network restart will make things work again untill sending 
another big email from win98 box.

- The gateway -
Motherboard: PVI486-SP3
CPU: AMD 486DX/4 120MHz
Memory: 24MB
HG: 8GB

glibc-2.2-12
kernel recompiled for gateway use with ip forwar/masq. etc...
RH 7.0 instalation with the following upgrades:
dhcpcd-1.3.18pl8-6.i386.rpm
gettext-0.10.35-25.i386.rpm
initscripts-5.54-1.i386.rpm
ipchains-1.3.10-1.i386.rpm
ypbind-1.7-3.i386.rpm

cat /proc/version:
Linux version 2.2.16-22 (root@portao.casa.pt) (gcc version egcs-2.91.66 
19990314/Linux (egcs-1.1.2 release)) #3 Mon Jan 22 01:19:43 WET 2001

ethernet controllers:
    Ethernet controller: Realtek 8139 (rev 16).
    Ethernet controller: SMC 1211 TX (rev 16).

cat /proc/modules:
ip_masq_raudio          2968   0 (unused)
ip_masq_irc             1624   0 (unused)
ip_masq_ftp             2648   0 (unused)
rtl8139                12160   2 (autoclean)

cat /proc/meminfo:
        total:    used:    free:  shared: buffers:  cached:
Mem:  23199744 22634496   565248  2662400  2662400 14581760
Swap: 82210816  3940352 78270464
MemTotal:     22656 kB
MemFree:        552 kB
MemShared:     2600 kB
Buffers:       2600 kB
Cached:       14240 kB
BigTotal:         0 kB
BigFree:          0 kB
SwapTotal:    80284 kB
SwapFree:     76436 kB

ifconfig -a:
eth0      Link encap:Ethernet  HWaddr 00:00:B4:C5:05:25  
          inet addr:192.168.0.254  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          Interrupt:10 Base address:0xe800 

eth1      Link encap:Ethernet  HWaddr 00:00:E8:73:51:10  
          inet addr:213.22.29.143  Bcast:213.22.31.255  Mask:255.255.252.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          RX packets:99 errors:0 dropped:0 overruns:0 frame:0
          TX packets:10 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          Interrupt:11 Base address:0xe400 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 

netstat -r:
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt 
Iface
192.168.0.0     *               255.255.255.0   U         0 0          0 
eth0
213.22.28.0     *               255.255.252.0   U         0 0          0 
eth1
127.0.0.0       *               255.0.0.0       U         0 0          0 lo
default         213.22.31.254   0.0.0.0         UG        0 0          0 
eth1



Reproducible: Always
Steps to Reproduce:
1. RH7.0 gateway with two NIC's, using IP masquerade
2. One NIC connected to a hub (internal network) with fixed IP
3. The other NIC connected to cable modem using DHCP for the IP
4. One windows98 workstation with outlook express sending email to the ISP 
mail server, if email bigger than 4K the connection will hang on the 
internal network


Actual Results:  The connection between worstation and gateway will be 
lost, after a /etc/init.d/network restart it will work again.

Expected Results:  I'll expect to send the email to the ISP POP3/SMTP mail 
server with success, independently of its size.

tcpdump about the time the problem begins:

02:32:38.264019 eth1 < mail.netcabo.pt.smtp > 213.22.29.194.61003: . 
273:273(0) ack 3009 win 8760 (DF)
02:32:38.264019 eth0 > mail.netcabo.pt.smtp > carolyber.casa.pt.1222: . 
273:273(0) ack 3009 win 8760 (DF)
02:32:38.264019 eth1 < mail.netcabo.pt.smtp > 213.22.29.194.61003: . 
273:273(0) ack 3009 win 8760 (DF)
02:32:38.264019 eth0 > mail.netcabo.pt.smtp > carolyber.casa.pt.1222: . 
273:273(0) ack 3009 win 8760 (DF)
02:32:41.714019 eth1 > arp who-has 213.22.31.254 tell 213.22.29.194 
(0:0:e8:73:51:10)
02:32:41.714019 eth1 < arp reply 213.22.31.254 is-at 0:2:fc:84:e0:54 
(0:0:e8:73:51:10)
02:32:41.724019 eth1 > 213.22.29.194.1028 > ns2.netcabo.pt.domain: 10165+ 
PTR? 240.3.12.10.in-addr.arpa. (42)
02:32:42.254019 eth1 < dnspt.netcabo.pt.domain > 213.22.29.194.1028: 10164 
ServFail 0/0/0 (42)
02:32:42.254019 eth1 > 213.22.29.194 > dnspt.netcabo.pt: icmp: 
213.22.29.194 udp port 1028 unreachable [tos 0xc0] 
02:32:42.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:43.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:44.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:45.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:46.734019 eth1 > 213.22.29.194.1029 > dnspt.netcabo.pt.domain: 
10165+ PTR? 240.3.12.10.in-addr.arpa. (42)
02:32:46.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:47.034019 eth1 < ns2.netcabo.pt.domain > 213.22.29.194.1027: 10164 
ServFail 0/0/0 (42)
02:32:47.034019 eth1 > 213.22.29.194 > ns2.netcabo.pt: icmp: 213.22.29.194 
udp port 1027 unreachable [tos 0xc0] 
02:32:47.864019 eth0 > arp who-has carolyber.casa.pt tell portao.casa.pt 
(0:0:b4:c5:5:25)
02:32:51.744019 eth1 > 213.22.29.194.1028 > ns2.netcabo.pt.domain: 10165+ 
PTR? 240.3.12.10.in-addr.arpa. (42)
02:32:52.254019 eth1 < dnspt.netcabo.pt.domain > 213.22.29.194.1028: 10164 
ServFail 0/0/0 (42)
02:32:52.254019 eth1 > 213.22.29.194 > dnspt.netcabo.pt: icmp: 
213.22.29.194 udp port 1028 unreachable [tos 0xc0] 
02:32:52.844019 eth1 < ns2.netcabo.pt.domain > 213.22.29.194.1028: 10165 
NXDomain* 0/1/0 (119)
02:32:52.854019 eth1 > 213.22.29.194.1029 > ns2.netcabo.pt.domain: 10166+ 
PTR? 215.31.22.213.in-addr.arpa. (44)
02:32:52.924019 eth1 < ns2.netcabo.pt.domain > 213.22.29.194.1029: 10166 
NXDomain* 0/1/0 (111)
02:32:52.934019 eth1 > 213.22.29.194.1029 > ns2.netcabo.pt.domain: 10167+ 
PTR? 135.161.113.212.in-addr.arpa. (46)
02:32:52.944019 eth1 < ns2.netcabo.pt.domain > 213.22.29.194.1029: 10167* 
1/0/0 PTR mail.netcabo.pt. (75)
02:32:54.684019 eth1 B arp who-has 10.12.9.218 tell 10.12.255.254
Comment 1 Need Real Name 2001-02-03 04:41:49 EST
Created attachment 8839 [details]
more tcpdump - IP from eth1 is diferent from ifconfig above, this tcpdump was made a few days ago...
Comment 2 Pekka Savola 2001-02-03 08:31:58 EST
You appear to have a failing DNS setup, but that doesn't cause the actual error.  I'd vote half/full duplex problem in 
NIC settings or a buggy rtl8139 driver.
Comment 3 Need Real Name 2001-02-05 20:21:08 EST
I'm going to try it with diferent network cards...
Comment 4 Need Real Name 2001-02-06 20:24:04 EST
You are right, it's the rtl8139 driver v1.07 5/6/88 that has some problem.
With the same NIC's and rtl8139 driver v1.13 1/9/2001 it works fine!
Thank you for your help!

Note You need to log in before you can comment on or make changes to this bug.